package com.example.furintiture.data

import android.content.Context
import androidx.datastore.core.DataStore
import androidx.datastore.preferences.core.Preferences
import androidx.datastore.preferences.core.edit
import androidx.datastore.preferences.core.stringPreferencesKey
import androidx.datastore.preferences.preferencesDataStore
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.map
import java.util.UUID

val Context.dataStore: DataStore<Preferences> by preferencesDataStore(name = "settings")

class DataStoreSettings(private val context: Context){
    private val UUID_KEY = stringPreferencesKey("user_uuid")
    val userUuidFlow: Flow<String> = context.dataStore.data.map { preferences ->
        preferences[UUID_KEY] ?: ""
    }
    suspend fun setUuid(uuid: UUID){
        context.dataStore.edit { preferences ->
            preferences[UUID_KEY] = uuid.toString()
        }
    }
}
