package com.example.furintiture.model.request

import com.example.furintiture.configure.BigDecimalSerializer
import com.example.furintiture.configure.UuidSerializer
import kotlinx.serialization.Serializable
import java.math.BigDecimal
import java.util.UUID

@Serializable
data class CreateOrderRequest(
    @Serializable(with = UuidSerializer::class)
    val userUuid : UUID,
    val addressId: Long,
    val orderStatus : Int,
    @Serializable(with = BigDecimalSerializer::class)
    val orderTotalSum : BigDecimal,
    val orderSet: List<CreateOrderItemRequest>
)
