package com.example.furintiture.model.response

import com.example.furintiture.configure.BigDecimalSerializer
import kotlinx.serialization.Serializable
import java.math.BigDecimal

@Serializable
data class FurnitureResponse(
    val id: Long,
    val name: String,
    val description: String,
    val url: String,
    val category: FurnitureCategoryResponse,
    @Serializable(with = BigDecimalSerializer::class)
    val price: BigDecimal,
    @Serializable(with = BigDecimalSerializer::class)
    val sale: BigDecimal,
    var shopCategories: List<ShopCategoryResponse>,
)