package com.example.furintiture.ui.screen.bottomsheet

import androidx.lifecycle.ViewModel
import com.example.furintiture.model.request.AddAddressRequest
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.asStateFlow
import kotlinx.coroutines.flow.update

class FurnitureAddressBottomSheetViewModel: ViewModel() {
    private val _furnitureAddressState = MutableStateFlow(AddAddressRequest())
    val furnitureAddressState = _furnitureAddressState.asStateFlow()

    fun setAddress(address: String){
        _furnitureAddressState.update {
            it.copy(address = address)
        }
    }
    fun setFloor(floor: String){
        _furnitureAddressState.update {
            it.copy(floor = floor.toIntOrNull())
        }
    }
    fun setApartment(apartment: String){
        _furnitureAddressState.update {
            it.copy(apartment = apartment.toIntOrNull())
        }
    }
    fun setComment(comment: String){
        _furnitureAddressState.update {
            it.copy(comment = comment)
        }
    }
}