package com.example.furintiture.ui.screen.furniture

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.furintiture.data.RetrofitClient
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.asStateFlow
import kotlinx.coroutines.flow.update
import kotlinx.coroutines.launch

class FurnitureScreenViewModel: ViewModel(){
    private val _furnitureScreenState = MutableStateFlow(FurnitureScreenState())
    val furnitureScreenState = _furnitureScreenState.asStateFlow()

    init {
        try {
            init()
        }
        catch (e: Exception){
            _furnitureScreenState.update {
                it.copy(error = e.message)
            }
        }
    }
    private fun init(){
        viewModelScope.launch {
            val result = RetrofitClient.api.getAllFurniture()
            _furnitureScreenState.update {
                it.copy(furnitureList = result)
            }
        }
    }

}