package com.example.furintiture.ui.screen.order

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.furintiture.data.RetrofitClient
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.asStateFlow
import kotlinx.coroutines.flow.update
import kotlinx.coroutines.launch
import java.util.UUID

class OrderScreenViewModel(private val uuid: String): ViewModel() {
    private val _orderScreenState = MutableStateFlow(OrderScreenState())
    val orderScreenState = _orderScreenState.asStateFlow()

    init {
        try{
            viewModelScope.launch {
                _orderScreenState.update {
                    it.copy(orders = RetrofitClient.api.getOrdersByUuid(UUID.fromString(uuid)))
                }
            }
        }
        catch (e: Exception){
            _orderScreenState.update {
                it.copy(error = e.message)
            }
        }
    }
}